FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

stunnel -- heap corruption vulnerability

Affected packages
4.40 <= stunnel < 4.42


VuXML ID cdeb34e6-d00d-11e0-987e-00215c6a37bb
Discovery 2011-08-25
Entry 2011-08-26

Michal Trojnara reports:

Version 4.42, 2011.08.18, urgency: HIGH:

Fixed a heap corruption vulnerability in versions 4.40 and 4.41. It may possibly be leveraged to perform DoS or remote code execution attacks.


Bugtraq ID 49254
CVE Name CVE-2011-2940